## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-webdav4
Version:        0.10.0
Release:        %autorelease
Summary:        WebDAV client library with an fsspec-based filesystem and a CLI

# SPDX
License:        MIT
URL:            https://github.com/skshetry/webdav4
Source0:        %{pypi_source webdav4}

# Hand-written for Fedora in groff_man(7) format using --help output
Source10:       dav.1
Source11:       dav-cat.1
Source12:       dav-cp.1
Source13:       dav-du.1
Source14:       dav-ls.1
Source15:       dav-mkdir.1
Source16:       dav-mv.1
Source17:       dav-rm.1
Source18:       dav-run.1
Source19:       dav-sync.1

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  tomcli

%global common_description %{expand:
Webdav API with an (optional) fsspec implementation and a CLI.}

%description %{common_description}


%package -n python3-webdav4
Summary:        %{summary}

# Provides colorized terminal output in the CLI
Recommends:     %{py3_dist colorama}

%description -n python3-webdav4 %{common_description}


%pyproject_extras_subpkg -n python3-webdav4 fsspec http2


%prep
%autosetup -n webdav4-%{version} -p1

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
tomcli set pyproject.toml lists delitem \
    project.optional-dependencies.tests 'pytest-cov*'
tomcli set pyproject.toml str tool.pytest.ini_options.addopts -- "$(
  tomcli get pyproject.toml tool.pytest.ini_options.addopts |
  sed -r 's/--cov[^[:blank:]]*//g')"


%generate_buildrequires
%pyproject_buildrequires -x all,fsspec,http2,tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l webdav4

install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 -D \
    '%{SOURCE10}' '%{SOURCE11}' '%{SOURCE12}' '%{SOURCE13}' '%{SOURCE14}' \
    '%{SOURCE15}' '%{SOURCE16}' '%{SOURCE17}' '%{SOURCE18}' '%{SOURCE19}'


%check
%pytest ${ignore-} -rs -vv


%files -n python3-webdav4 -f %{pyproject_files}
%doc README.md

%{_bindir}/dav
%{_mandir}/man1/dav.1*
%{_mandir}/man1/dav-*.1*


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.10.0-4
- Remove the build conditional for the CLI

* Sun Jul 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.10.0-3
- Enable the CLI

* Sun Jul 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.10.0-2
- Add a weak dependency on colorama for the CLI

* Sun Jul 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.10.0-1
- Update to 0.10.0

* Sun Jul 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.9.8-2
- Add metapackages for the fsspec and http2 extras

* Fri Jul 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.9.8-1
- Initial package (close RHBZ#2296300)
## END: Generated by rpmautospec
